"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _helpers = require("./helpers");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _tape.default)("parses package strings correctly", t => {
  const installPeerdeps = (0, _helpers.parsePackageString)("install-peerdeps@1.4.0");
  t.equal(installPeerdeps.packageName, "install-peerdeps");
  t.equal(installPeerdeps.packageVersion, "1.4.0");
  const angularCore = (0, _helpers.parsePackageString)("@angular/core@5.0.0-rc.9");
  t.equal(angularCore.packageName, "@angular/core");
  t.equal(angularCore.packageVersion, "5.0.0-rc.9");
  const bootstrap = (0, _helpers.parsePackageString)("bootstrap@4.0.0-beta");
  t.equal(bootstrap.packageName, "bootstrap");
  t.equal(bootstrap.packageVersion, "4.0.0-beta");
  const koa = (0, _helpers.parsePackageString)("koa@next");
  t.equal(koa.packageName, "koa");
  t.equal(koa.packageVersion, "next");
  const enzymeAdapter = (0, _helpers.parsePackageString)("enzyme-adapter-react-15.4@1.0.5");
  t.equal(enzymeAdapter.packageName, "enzyme-adapter-react-15.4");
  t.equal(enzymeAdapter.packageVersion, "1.0.5");
  const eslintPluginNode = (0, _helpers.parsePackageString)("eslint-plugin-node@^6.x");
  t.equal(eslintPluginNode.packageName, "eslint-plugin-node");
  t.equal(eslintPluginNode.packageVersion, "^6.x");
  t.end();
});